import { EngineComponent } from '../types/engine-component';
export declare class PhysicsWorldComponent extends EngineComponent {
    name: string;
    private world;
    private physicsWorld;
    private physicsEngine;
    private characterPhysics;
    private cleanUpEvents?;
    private sceneInitialized;
    private trackedObjects;
    private physicsTick?;
    initialize(): void;
    update(delta: number): void;
    dispose(): void;
    private createRapier;
    private bindEvents;
    private applyPhysics;
    private removePhysics;
    private initializePhysicsScene;
}
