import { BufferGeometry, ColorRepresentation, Mesh, MeshPhongMaterial } from 'three';
import { GameObject3D } from '../types/game-object';
export declare class Brick extends GameObject3D {
    protected geometry: BufferGeometry;
    objectType: string;
    protected material: MeshPhongMaterial;
    protected mesh: Mesh;
    constructor(geometry?: BufferGeometry);
    get color(): ColorRepresentation;
    set color(color: ColorRepresentation);
    get transparency(): number;
    set transparency(value: number);
}
