import { PhysicsObject } from './physics.object';
import { BufferGeometry, Mesh, MeshPhongMaterial } from 'three';
import type Rapier from '@dimforge/rapier3d';
export declare class Brick extends PhysicsObject {
    objectType: string;
    name: string;
    constructor(geometry?: BufferGeometry, material?: MeshPhongMaterial, mesh?: Mesh);
    protected createCollider(factory: typeof Rapier, world: Rapier.World, body?: Rapier.RigidBody): Rapier.Collider;
}
