import { Mesh } from 'three';
import { Brick } from './brick.object';
import { gameObjectGeometries } from './geometries';
export class Cylinder extends Brick {
    constructor() {
        super(gameObjectGeometries.cylinderGeometry);
        this.objectType = Cylinder.name;
        this.mesh = new Mesh(this.geometry, this.material);
        this.name = this.objectType;
    }
}
