import { CanvasUtils } from '../canvas';
import { Disposable } from '../types/disposable';
import { GameObject } from '../types/game-object';
export declare class NameTag extends GameObject implements Disposable {
    objectType: string;
    virtual: boolean;
    archivable: boolean;
    width: number;
    height: number;
    private texture;
    private material;
    static create(builder: CanvasUtils, name: string): NameTag;
    dispose(): void;
}
