import { Mesh } from 'three';
import { Brick } from './brick.object';
import type Rapier from '@dimforge/rapier3d';
export declare class Sphere extends Brick {
    objectType: string;
    protected mesh: Mesh<import("three").BufferGeometry<import("three").NormalBufferAttributes>, import("three").MeshPhongMaterial>;
    constructor();
    protected createCollider(factory: typeof Rapier, world: Rapier.World, body?: Rapier.RigidBody): Rapier.Collider;
}
