/// <reference types="node" />
import { PacketType } from './packet-type.enum';
import { Instancable } from '../types/instancable';
export declare class Packet {
    packet?: PacketType | undefined;
    private buffer;
    constructor(packet?: PacketType | undefined);
    write(data: any, type: Instancable<any> | string): this;
    read<T = string>(type: Instancable<any> | string): T | undefined;
    writeHeader(): void;
    toBuffer(): Buffer;
    static from(buffer: Buffer): Packet;
}
