import { AnimationClip, Object3D, Vector3 } from 'three';
import { Group } from '../gameobjects/group.object';
import { Humanoid } from '../gameobjects/humanoid.object';
export declare const loadBaseCharacter: () => Promise<{
    faceTexture: string;
    root: Object3D | null;
    clips: AnimationClip[];
}>;
export declare const instanceCharacterObject: (name: string, pos?: Vector3) => Promise<Group>;
export declare const getCharacterController: (object: Object3D) => Humanoid;
