import { PerspectiveCamera, Scene, Vector2, WebGLRenderer } from 'three';
export declare class Renderer {
    viewport: HTMLElement;
    resolution: Vector2;
    renderer: WebGLRenderer;
    camera: PerspectiveCamera;
    scene: Scene;
    constructor(viewport: HTMLElement, resolution?: Vector2);
    setSize(width: number, height: number): void;
    render(): void;
    dispose(): void;
}
