import { BoxGeometry, CylinderGeometry, SphereGeometry } from 'three';
declare class GameObjectFactory {
    boxGeometry: BoxGeometry;
    sphereGeometry: SphereGeometry;
    cylinderGeometry: CylinderGeometry;
    wedgeGeometry: BoxGeometry;
    wedgeCornerGeometry: BoxGeometry;
    wedgeInnerCornerGeometry: BoxGeometry;
    constructor();
    private makeProceduralShapes;
    private finalize;
}
export declare const gameObjectFactory: GameObjectFactory;
export {};
