import { BoxGeometry, CapsuleGeometry, CylinderGeometry, SphereGeometry, TorusGeometry } from 'three';
declare class WedgeGeometry extends BoxGeometry {
    type: string;
    constructor();
}
declare class WedgeCornerGeometry extends BoxGeometry {
    type: string;
    constructor();
}
declare class WedgeInnerCornerGeometry extends BoxGeometry {
    type: string;
    constructor();
}
declare class GameObjectGeometryFactory {
    boxGeometry: BoxGeometry;
    sphereGeometry: SphereGeometry;
    cylinderGeometry: CylinderGeometry;
    torusGeometry: TorusGeometry;
    capsuleGeometry: CapsuleGeometry;
    wedgeGeometry: WedgeGeometry;
    wedgeCornerGeometry: WedgeCornerGeometry;
    wedgeInnerCornerGeometry: WedgeInnerCornerGeometry;
    constructor();
    private finalize;
}
export declare const gameObjectGeometries: GameObjectGeometryFactory;
export {};
