import { GameObject3D } from '../types/game-object';
import { BufferGeometry, ColorRepresentation, Mesh, MeshPhongMaterial } from 'three';
export declare class PhysicalObject extends GameObject3D {
    protected geometry: BufferGeometry;
    protected material: MeshPhongMaterial;
    protected mesh: Mesh;
    private texturePath?;
    get color(): ColorRepresentation;
    set color(color: ColorRepresentation);
    get transparency(): number;
    set transparency(value: number);
    get texture(): string | undefined;
    set texture(path: string | undefined);
    constructor(geometry: BufferGeometry, material?: MeshPhongMaterial, mesh?: Mesh);
    getGeometry(): BufferGeometry<import("three").NormalBufferAttributes>;
    getMesh(): Mesh<BufferGeometry<import("three").NormalBufferAttributes>, import("three").Material | import("three").Material[]>;
}
