import { Mesh } from 'three';
import { Brick } from './brick.object';
import { gameObjectGeometries } from './geometries';
export class Torus extends Brick {
    constructor() {
        super(gameObjectGeometries.torusGeometry);
        this.objectType = Torus.name;
        this.mesh = new Mesh(this.geometry, this.material);
        this.name = this.objectType;
    }
}
