import { Mesh } from 'three';
import { Brick } from './brick.object';
import { gameObjectFactory } from './factory';
export class WedgeCorner extends Brick {
    constructor() {
        super(gameObjectFactory.wedgeCornerGeometry);
        this.objectType = WedgeCorner.name;
        this.mesh = new Mesh(this.geometry, this.material);
    }
}
