import { Mesh } from 'three';
import { Brick } from './brick.object';
import { gameObjectFactory } from './factory';
export class Wedge extends Brick {
    constructor() {
        super(gameObjectFactory.wedgeGeometry);
        this.objectType = Wedge.name;
        this.mesh = new Mesh(this.geometry, this.material);
    }
}
