import { World } from '../gameobjects/world.object';
import { Disposable } from '../types/disposable';
import { EngineEvents } from '../types/events';
import { EventEmitter } from '../utils/events';
export declare class GameSocket implements Disposable {
    private events;
    private ws?;
    private host?;
    private token;
    private playerId;
    private world;
    private cleanUpEvents?;
    constructor(events: EventEmitter<EngineEvents>);
    track(world: World): void;
    connect(host: string, id: string, token: string): void;
    disconnect(): void;
    dispose(): void;
    private onOpen;
    private handlePacket;
    private bindSocket;
    private bindEvents;
}
