import { Material, Object3D } from 'three';
export interface PropertyDefinition {
    name: string;
    type?: any;
    description?: string;
    exposed?: boolean;
    readonly?: boolean;
    validators?: Function[];
    postChange?(obj: Object3D | Material): void;
}
export declare class Property implements PropertyDefinition {
    name: string;
    type?: any;
    description?: string;
    exposed?: boolean;
    readonly?: boolean;
    validators?: Function[];
    postChange?(obj: Object3D | Material): void;
    constructor(definition: PropertyDefinition);
}
