export const readMetadataOf = (object, key) => {
    let metadata = [];
    let target = Object.getPrototypeOf(object);
    while (target != Object.prototype) {
        let childFields = Reflect.getOwnMetadata(key, target) || [];
        metadata.unshift(...childFields);
        target = Object.getPrototypeOf(target);
    }
    return metadata;
};
